#include <perms.h>
int _imp_mainep(int _imp_argc, char **_imp_argv) {
  void Printarray(int A, int A0low, int A0high, int A1low, int A1high) {
    int A0;
    int A1;
    for (A0 = A0low; A0 <= A0high; A0++) {
      for (A1 = A1low; A1 <= A1high; A1++) {
        Write(A, 3);
        Printstring(_imp_str_literal(", "));
      }
      Newline();
    }
    Newline();
  }
  int *Element;
  int I;
  int Fred[2 /*0:1*/][3 /*0:2*/];
  int Jim[3 /*11:13*/][4 /*100:103*/];
  Element = &Fred[0][0];
  for (I = 0; I <= 5; I++) {
    *Element = I;
    Element = Element;
  }
  Element = &Jim[11][100];
  for (I = 0; I <= 11; I++) {
    *Element = I;
    Element = Element;
  }
  Printarray(Fred, 0, 1, 0, 2);
  Printarray(Jim, 11, 13, 100, 103);
  exit(0);
  return (1);
}
